### Method

# Gsk Pathget_stroke_bounds

since: 4.14

#### Declaration [src]

    gboolean
    gsk_path_get_stroke_bounds (
      GskPath* self,
      const GskStroke* stroke,
      graphene_rect_t* bounds
    )

#### Description [src]

Computes the bounds for stroking the given path with the parameters in `stroke`.

The returned bounds may be larger than necessary, because this function aims to be fast, not accurate. The bounds are guaranteed to contain the area affected by the stroke, including protrusions like miters.

Available since: 4.14

#### Parameters

`stroke`

  Type: `GskStroke`

  Stroke parameters.

  The data is owned by the caller of the method.

`bounds`

  Type: `graphene_rect_t`

  The bounds to fill in.

  The argument will be set by the function.
  The data is owned by the instance.

#### Return value

Type: `gboolean`

`TRUE` if the path has bounds, `FALSE` if the path is known to be empty and have no bounds.